---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# ShippingMethod

A Shipping Method represents a way in which an Order or Return can be shipped. Shipping Methods are created from a Shipping Option, but may contain additional details that can be necessary for the Fulfillment Provider to handle the shipment. If the shipping method is created for a return, it may be associated with a claim or a swap that the return is part of.

## constructor

A Shipping Method represents a way in which an Order or Return can be shipped. Shipping Methods are created from a Shipping Option, but may contain additional details that can be necessary for the Fulfillment Provider to handle the shipment. If the shipping method is created for a return, it may be associated with a claim or a swap that the return is part of.

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "data",
    "type": "`Record<string, unknown>`",
    "description": "The optional additional data needed for the shipping method",
    "optional": true,
    "defaultValue": "{}",
    "expandable": false,
    "children": []
  },
  {
    "name": "option_id",
    "type": "`string`",
    "description": "The ID of the shipping option in use",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "price",
    "type": "`number`",
    "description": "The price of the shipping method.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
